Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright 2012-04-26 Werner Randelshofer
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.monte.media
Class AudioFormatKeys

    java.lang.Object
      org.monte.media.FormatKeys
          org.monte.media.AudioFormatKeys

    public class AudioFormatKeys

extends FormatKeys

Defines common format keys for audio media.

Version:
  $Id: AudioFormatKeys.java 134 2011-12-02 16:23:00Z werner $
Author:
  Werner Randelshofer

Nested Class Summary

Nested classes/interfaces inherited from class org.monte.media.FormatKeys
`FormatKeys.MediaType`

Field Summary
`static FormatKey<java.nio.ByteOrder>` | `ByteOrderKey` The compressor name.
`static FormatKey<java.lang.Integer>` | `ChannelsKey` The numer of ChannelsKey.
`static java.lang.String` | `ENCODING_ALAW` Specifies a-law encoded data.
`static java.lang.String` | `ENCODING_AVI_PCM` AVI PCM encoding.
`static java.lang.String` | `ENCODING_MP3` Specifies MP3 encoded data.
`static java.lang.String` | `ENCODING_PCM_SIGNED` Specifies SignedKey, linear PCM data.
`static java.lang.String` | `ENCODING_PCM_UNSIGNED` Specifies unsigned, linear PCM data.
`static java.lang.String` | `ENCODING_QUICKTIME_IN24_PCM` QuickTime 24-bit big endian signed PCM encoding.
`static java.lang.String` | `ENCODING_QUICKTIME_IN32_PCM` QuickTime 32-bit big endian signed PCM encoding.
`static java.lang.String` | `ENCODING_QUICKTIME_RAW_PCM` QuickTime 8-bit unsigned PCM encoding.
`static java.lang.String` | `ENCODING_QUICKTIME_SOWT_PCM` QuickTime 16-bit little endian signed PCM encoding.
`static java.lang.String` | `ENCODING_QUICKTIME_TWOS_PCM` QuickTime 16-bit big endian signed PCM encoding.
`static java.lang.String` | `ENCODING_ULAW` Specifies u-law encoded data.
`static FormatKey<java.lang.Integer>` | `FrameSizeKey` The size of a frame.
`static FormatKey<Rational>` | `SampleRateKey` The number of frames per second.
`static FormatKey<java.lang.Integer>` | `SampleSizeInBitsKey` The sample size in bits.
`static FormatKey<java.lang.Boolean>` | `SignedKey` Whether values are SignedKey.

Fields inherited from class org.monte.media.FormatKeys
`EncodingKey, FrameRateKey, KeyFrameIntervalKey, MediaTypeKey, MIME_ANIM, MIME_AVI, MIME_IMAGE_SEQUENCE, MIME_JAVA, MIME_MP4, MIME_QUICKTIME, MimeTypeKey`

Constructor Summary
`AudioFormatKeys()`

Method Summary
`static Format` | `fromAudioFormat(javax.sound.sampled.AudioFormat fmt)`
`static javax.sound.sampled.AudioFormat` | `toAudioFormat(Format fmt)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ENCODING_PCM_SIGNED

    public static final java.lang.String ENCODING_PCM_SIGNED

  Specifies SignedKey, linear PCM data.

### ENCODING_PCM_UNSIGNED

    public static final java.lang.String ENCODING_PCM_UNSIGNED

  Specifies unsigned, linear PCM data.

### ENCODING_ULAW

    public static final java.lang.String ENCODING_ULAW

  Specifies u-law encoded data.

### ENCODING_ALAW

    public static final java.lang.String ENCODING_ALAW

  Specifies a-law encoded data.

### ENCODING_AVI_PCM

    public static final java.lang.String ENCODING_AVI_PCM

  AVI PCM encoding.

  See Also:
    Constant Field Values

### ENCODING_QUICKTIME_TWOS_PCM

    public static final java.lang.String ENCODING_QUICKTIME_TWOS_PCM

  QuickTime 16-bit big endian signed PCM encoding.

  See Also:
    Constant Field Values

### ENCODING_QUICKTIME_SOWT_PCM

    public static final java.lang.String ENCODING_QUICKTIME_SOWT_PCM

  QuickTime 16-bit little endian signed PCM encoding.

  See Also:
    Constant Field Values

### ENCODING_QUICKTIME_IN24_PCM

    public static final java.lang.String ENCODING_QUICKTIME_IN24_PCM

  QuickTime 24-bit big endian signed PCM encoding.

  See Also:
    Constant Field Values

### ENCODING_QUICKTIME_IN32_PCM

    public static final java.lang.String ENCODING_QUICKTIME_IN32_PCM

  QuickTime 32-bit big endian signed PCM encoding.

  See Also:
    Constant Field Values

### ENCODING_QUICKTIME_RAW_PCM

    public static final java.lang.String ENCODING_QUICKTIME_RAW_PCM

  QuickTime 8-bit unsigned PCM encoding.

  See Also:
    Constant Field Values

### ENCODING_MP3

    public static final java.lang.String ENCODING_MP3

  Specifies MP3 encoded data.

  See Also:
    Constant Field Values

### SampleSizeInBitsKey

    public static final FormatKey<java.lang.Integer> SampleSizeInBitsKey

  The sample size in bits.

### ChannelsKey

    public static final FormatKey<java.lang.Integer> ChannelsKey

  The numer of ChannelsKey.

### FrameSizeKey

    public static final FormatKey<java.lang.Integer> FrameSizeKey

  The size of a frame.

### ByteOrderKey

    public static final FormatKey<java.nio.ByteOrder> ByteOrderKey

  The compressor name.

### SampleRateKey

    public static final FormatKey<Rational> SampleRateKey

  The number of frames per second.

### SignedKey

    public static final FormatKey<java.lang.Boolean> SignedKey

  Whether values are SignedKey.

Constructor Detail

### AudioFormatKeys

    public AudioFormatKeys()

Method Detail

### fromAudioFormat

    public static Format fromAudioFormat(javax.sound.sampled.AudioFormat fmt)

### toAudioFormat

    public static javax.sound.sampled.AudioFormat toAudioFormat(Format fmt)

Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright 2012-04-26 Werner Randelshofer
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD